ssl_crl_cache(3)

NAME
ssl_crl_cache - CRL cache

DESCRIPTION

Implements an internal CRL (Certificate Revocation List) cache. In addition to implementing the ssl_crl_cache_api behaviour the following functions are available.

DATA TYPES

crl_src() :: {file, file:filename()} | {der, public_key:der_encoded()}.

    A source to input CRLs

FUNCTIONS

delete(Entries) -> ok | {error, Reason} when Entries :: crl_src() | uri_string:uri_string(), Reason :: ssl:reason().

    Delete CRLs from the ssl applications local cache.
insert(DistPointURI, CRLSrc) -> ok | {error, Reason} when DistPointURI :: uri_string:uri_string(), CRLSrc :: crl_src(), Reason :: ssl:reason().

    Insert CRLs into the ssl applications local cache, with or without a distribution point reference URI